# std::basic_ifstream<CharT,Traits>::swap

From cppreference.com
< cpp‎ | io‎ | basic ifstream

void swap( basic_ifstream& other ); |  | (since C++11)

Exchanges the state of the stream with those of `other`.

This is done by calling basic_istream<CharT, Traits>::swap(other) and rdbuf()->swap(other.rdbuf()).

### Parameters

other | - | stream to exchange the state with

### Return value

(none)

### Example

| This section is incomplete Reason: no example

### See also

operator= (C++11) | moves the file stream (public member function)
swap (C++11) | swaps two basic_filebuf objects (public member function of `std::basic_filebuf<CharT,Traits>`)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_ifstream/swap&oldid=50842"